Upgrade Guava to latest version

Description

The current version of guava included in Heritrix is very very old. It's also interface incompatible with recent guava versions for features that Heritrix uses. This makes it impossible to have Heritrix as a dependency in another project that also depends on Guava (or has dependencies that use Guava).

Please upgrade. This requires small changes in ObjectIdentityBdbManualCache. You can contact me for a (tested) patch if needed.

Environment

None

Status

Assignee

Unassigned

Reporter

Gerrit de Vries

Labels

Group Assignee

None

ZendeskID

None

Estimated Difficulty

None

Actual Difficulty

None

Affects versions

Heritrix 3.1.1

Priority

Major
Configure